Bug 165613 - Unable to start email software
Unable to start email software
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-10 16:08 EDT by Lloyd hayes
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-13 15:14:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lloyd hayes 2005-08-10 16:08:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
This just started today.

I am unable to open my email client programs.
Earlier today, Thunderbird downloaded one of those java laden emails with an attachment. I presumed it was one of those bugs aimed at a MS Windows system. I deleted the email and emptied the trash right away. I don't notice if I closed the Thunderbird afterwards or if it closed on it's own.

But I went to open Thunderbird a few minutes later and it would not open. After several attempts, I then tried Evolution. It would not open either. After several more tries, I turned the computer off and restarted the computer using the restart option from the Gnome menu.

After re-starting the computer, Thunderbird would still not open. But I was able to get to the setup screen for Evolution. But upon finishing the setup, Evolution was still unable to access my pop email. I then closed it and have been unable to re-open Evolution since.

My normal email client is Thunderbird.

Version-Release number of selected component (if applicable):
Thunderbird Email and Evolution

How reproducible:
Always

Steps to Reproduce:
1.Click on Thunderbird or Evolution icons.
2.
3.
  

Actual Results:  I see the notice "Starting Thunderbird" on the bottom menu bar. Then after a minute, it disappears. Nothing happens. Same with Evolution.

Expected Results:  Thurnderbird Email or Evolution should startup.

Additional info:

As I said, the last thing that I remember the email software doing was downloading that email with an attachment.
Comment 1 Lloyd hayes 2005-08-10 17:08:31 EDT
I ran "chkrootkit". Not bugs were found, but I got the information below in the
output. I'm not up on all of the software's locations, but this information
seems to suggest a problem.
-----------------------------------------------------

Searching for suspicious files and dirs, it may take a while... /usr/bin/find:
/usr/lib/thunderbird-1.0.6/res/dtd: No such file or directory
/usr/bin/find: /usr/lib/thunderbird-1.0.6/res/entityTables: No such file or
directory
/usr/bin/find: /usr/lib/thunderbird-1.0.6/res/fonts: No such file or directory
/usr/bin/find: /usr/lib/thunderbird-1.0.6/res/html: No such file or directory
/usr/bin/find: /usr/lib/thunderbird-1.0.6/res/rdf: No such file or directory
/usr/bin/find: /usr/lib/thunderbird-1.0.6/res/samples: No such file or directory
/usr/bin/find: /usr/lib/thunderbird-1.0.6/res/throbber: No such file or directory
/usr/bin/find: /usr/lib/thunderbird-1.0.6/res/dtd: No such file or directory
/usr/bin/find: /usr/lib/thunderbird-1.0.6/res/entityTables: No such file or
directory
/usr/bin/find: /usr/lib/thunderbird-1.0.6/res/fonts: No such file or directory
/usr/bin/find: /usr/lib/thunderbird-1.0.6/res/html: No such file or directory
/usr/bin/find: /usr/lib/thunderbird-1.0.6/res/rdf: No such file or directory
/usr/bin/find: /usr/lib/thunderbird-1.0.6/res/samples: No such file or directory
/usr/bin/find: /usr/lib/thunderbird-1.0.6/res/throbber: No such file or directory


Searching for Adore Worm... /usr/bin/find: /usr/lib/thunderbird-1.0.6/res/dtd:
No such file or directory
/usr/bin/find: /usr/lib/thunderbird-1.0.6/res/entityTables: No such file or
directory
/usr/bin/find: /usr/lib/thunderbird-1.0.6/res/fonts: No such file or directory
/usr/bin/find: /usr/lib/thunderbird-1.0.6/res/html: No such file or directory
/usr/bin/find: /usr/lib/thunderbird-1.0.6/res/rdf: No such file or directory
/usr/bin/find: /usr/lib/thunderbird-1.0.6/res/samples: No such file or directory
/usr/bin/find: /usr/lib/thunderbird-1.0.6/res/throbber: No such file or directory
Comment 2 Lloyd hayes 2005-08-10 17:13:01 EDT
Still unable to start email software.
Comment 3 Lloyd hayes 2005-08-11 03:54:33 EDT
I was able to start Evolution from a terminal window tonight, but not from the
Gnome desktop. I was still unable to start Thunderbird. With Evolution open, I
got the following messages in my terminal window:
-----
[lloyd@localhost ~]$ evolution
es menu class init
adding hook target 'source'

(evolution:3588): camel-WARNING **: Invalid root:
'/home/lloyd/.evolution/mail/local/Drafts.ibex.index'

(evolution:3588): camel-WARNING **: version: TEXT.000 (TEXT.000)

(evolution:3588): camel-WARNING **: block size: 1024 (1024) OK

(evolution:3588): camel-WARNING **: free: 0 (0 add size < 1024) OK

(evolution:3588): camel-WARNING **: last: 6144 (6144 and size: 1024) BAD

(evolution:3588): camel-WARNING **: flags: unSYNC

(evolution:3588): camel-WARNING **: Invalid root:
'/home/lloyd/.evolution/mail/local/Outbox.ibex.index'

(evolution:3588): camel-WARNING **: version: TEXT.000 (TEXT.000)

(evolution:3588): camel-WARNING **: block size: 1024 (1024) OK

(evolution:3588): camel-WARNING **: free: 0 (0 add size < 1024) OK

(evolution:3588): camel-WARNING **: last: 6144 (6144 and size: 1024) BAD

(evolution:3588): camel-WARNING **: flags: unSYNC

(evolution:3588): camel-WARNING **: Invalid root:
'/home/lloyd/.evolution/mail/local/Sent.ibex.index'

(evolution:3588): camel-WARNING **: version: TEXT.000 (TEXT.000)

(evolution:3588): camel-WARNING **: block size: 1024 (1024) OK

(evolution:3588): camel-WARNING **: free: 0 (0 add size < 1024) OK

(evolution:3588): camel-WARNING **: last: 6144 (6144 and size: 1024) BAD

(evolution:3588): camel-WARNING **: flags: unSYNC

(evolution:3588): Gtk-CRITICAL **: gtk_entry_set_text: assertion `text != NULL'
failed
BBDB spinning up...

(evolution:3588): Gtk-CRITICAL **: gtk_tree_sortable_set_sort_column_id:
assertion `GTK_IS_TREE_SORTABLE (sortable)' failed
update flow align
update flow align
update flow align
update flow align

** (evolution:3588): CRITICAL **: e_canvas_item_grab_focus: assertion
`GTK_WIDGET_CAN_FOCUS (GTK_WIDGET (item->canvas))' failed

** (evolution:3588): CRITICAL **: e_canvas_item_grab_focus: assertion
`GTK_WIDGET_CAN_FOCUS (GTK_WIDGET (item->canvas))' failed
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align
update flow align

(evolution:3588): Gtk-CRITICAL **: gtk_entry_set_text: assertion `text != NULL'
failed

(evolution:3588): Gtk-CRITICAL **: gtk_tree_sortable_set_sort_column_id:
assertion `GTK_IS_TREE_SORTABLE (sortable)' failed
update flow align
update flow align
update flow align

Comment 4 Daniel Walsh 2005-08-12 08:15:39 EDT
Why did you assign this to selinux targeted policy.  SELinux should not be
affecting this application.  Reassigning to thunderbird.
Comment 5 Lloyd hayes 2005-08-12 13:19:34 EDT
This started after the software downloaded an email with an attachment. I think
the attachment was a worm or something. The result was that it affects both
Thunderbird and Evolution. Neither of these can be started from the desktop now.
Evolution can only be started from a command line, and Thunderbird can not be
started at all.

That makes this a security issue.
Comment 6 Gerwin Krist 2005-10-09 06:27:10 EDT
Did you use root rights to run Thunderbird? Could you try the following:

Try to create a new linux user and login as this user, does tbird start then? If
it does start your profile might be corrupted for some reason. If this is still
not working try:
- rpm -e thunderbird
- yum install thunderbird

Let me know if this will make a different ....

BTW I'm removing security issue for now ....
Comment 7 John Thacker 2007-01-13 15:14:59 EST
(This is a mass update of bugs which have been in the NEEDINFO state unmodified
for over a year and have not been confirmed for a still supported version of
Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.